import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Specifies a virtual private cloud (VPC).
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-vpc.html">the AWS Docs</a>
*/
export function vPC(vPCProps = {}) {
    return new AwsResource('AWS::EC2::VPC', vPCProps, { VpcId: 'VpcId', CidrBlockAssociations: 'CidrBlockAssociations', CidrBlock: 'CidrBlock', DefaultNetworkAcl: 'DefaultNetworkAcl', Ipv6CidrBlocks: 'Ipv6CidrBlocks', DefaultSecurityGroup: 'DefaultSecurityGroup' });
}
